%define upstream_name Net-Google
%define upstream_version 1.0.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 14
Summary:	Simple OOP-ish interface to the Google SOAP API
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.bz2
URL:		http://search.cpan.org/dist/%{upstream_name}

BuildRequires:  perl(Module::Build)
BuildArch:	noarch

%description
Provides a simple OOP-ish interface to the Google SOAP API

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Build.PL installdirs=vendor
./Build

# checking requires a Google API key

%install
./Build install destdir=%{buildroot}

%files
%doc Changes
%{perl_vendorlib}/Net
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.0.1-14pclos2017
- rebuild against updates

